---
features:
  secondary:
  - name: "Support for Kubernetes 1.20"
    available_in: [core, starter, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/project/clusters/#supported-cluster-versions'
    reporter: nagyv-gitlab
    stage: configure
    categories:
    - Kubernetes Management
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/6509'
    description: |
      In GitLab 14.3, we added support to Kubernetes version 1.20. GitLab users can benefit from having recent cluster versions in many features, such as the [GitLab Agent for Kubernetes](https://docs.gitlab.com/ee/user/clusters/agent/), [Auto DevOps](https://docs.gitlab.com/ee/topics/autodevops/) and [Cluster Management Project](https://docs.gitlab.com/ee/user/clusters/management_project.html).

      You can find the list of [supported versions and related timelines in our documentation](https://docs.gitlab.com/ee/user/project/clusters/#supported-cluster-versions).
